package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "MainlineCrossEvaluateVO", description = "干线路口评价")
public class MainlineCrossEvaluateVO {
    @ApiModelProperty(value = "路口名称")
    private String crossName;

    @ApiModelProperty(value = "协调方向指标(不停车通过率)")
    private Integer coordValue;

    @ApiModelProperty(value = "非协调方向指标(排队长度)")
    private Integer nonCoordValue;

    @ApiModelProperty(value = "方向指标列表")
    private List<DirElement> dirElementList;

    @ApiModelProperty(value = "评价")
    private List<String> crossEvaluateList;

    @NoArgsConstructor
    @Data
    public static class DirElement {
        @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
        private Integer dir;

        @ApiModelProperty(value = "指标数值")
        private Integer value;
    }

}
