package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "MainlineSchemeAnalysisVO", description = "干线方案分析")
public class MainlineSchemeAnalysisVO {
    @ApiModelProperty(value = "场景数据")
    private List<DirectionData> sceneData;

    @ApiModelProperty(value = "关键路口数据")
    private List<CrossData> crossData;

    @ApiModelProperty(value = "评价")
    private List<String> evaluateData;

    @ApiModelProperty(value = "干线方案评价下拉菜单")
    private List<GreenwaveData> greenwaveData;

    @Data
    public static class DirectionData {
        @ApiModelProperty(value = "场景名称")
        private String name;

        @ApiModelProperty(value = "次数")
        private Integer times;
    }

    @Data
    public static class CrossData {
        @ApiModelProperty(value = "关键路口名称")
        private String name;

        @ApiModelProperty(value = "关键路口次数")
        private Integer times;
    }

    @Data
    public static class GreenwaveData {
        @ApiModelProperty(value = "方案名称")
        private String name;

        @ApiModelProperty(value = "绿波ID")
        private Integer greenwaveId;

        @ApiModelProperty(value = "方向下拉列表")
        private List<DirectionList> dirList;
    }

    @Data
    public static class DirectionList {
        @ApiModelProperty(value = "方向名称")
        private String name;

        @ApiModelProperty(value = "指标列表")
        private List<Metric> metricList;
    }

    @Data
    public static class Metric {
        @ApiModelProperty(value = "指标名称")
        private String metricName;

        @ApiModelProperty(value = "是否在干线路口评价下拉列表和底部曲线图下拉列表展示，0否 1是")
        private Integer isShown;
    }
}
