package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "TableQueryVO", description = "表格分时段查询")
public class TableQueryVO {

    @ApiModelProperty(value = "实时数据")
    private List<RealTimeDataElement> realTimeData;

    @ApiModelProperty(value = "周期数据")
    private List<CycleDataElement> cycleData;

    @NoArgsConstructor
    @Data
    public static class RealTimeDataElement {
        @ApiModelProperty(value = "时间 格式 yyyy-MM-dd HH:mm:ss")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date time;

        @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
        private Integer dir;

        @ApiModelProperty(value = "车道，从左车道开始编号11、12、13...")
        private Integer laneSort;

        @ApiModelProperty(value = "排队长度")
        private Integer queueLength;

        @ApiModelProperty(value = "头车位置")
        private Integer firstCarPosition;

        @ApiModelProperty(value = "末车位置")
        private Integer endCarPosition;
    }

    @NoArgsConstructor
    @Data
    public static class CycleDataElement {
        @ApiModelProperty(value = "时间 格式 yyyy-MM-dd HH:mm:ss")
        @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date time;

        @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
        private Integer dir;

        @ApiModelProperty(value = "车道，从左车道开始编号11、12、13...")
        private Integer laneSort;

        @ApiModelProperty(value = "流量")
        private Integer flow;

        @ApiModelProperty(value = "速度")
        private Integer speed;

        @ApiModelProperty(value = "最大排队")
        private Integer queueLength;

        @ApiModelProperty(value = "平均延误")
        private Integer delayTime ;

        @ApiModelProperty(value = "平均停车次数")
        private Integer stopTimes;

        @ApiModelProperty(value = "平均车头时距")
        private Integer vehheadTime;
    }
}
